GuideLab API

Update a material

Update an existing material's properties including name, code, pricing, and active status.

PUT
/materials/{id}

Update an existing material's properties including name, code, pricing, and active status.

Authorization

__Secure-guidelab-prod.session_token<token>

Production session cookie set for the guidelab.co domain by Better Auth

In: cookie

Path Parameters

id*string

Material ID

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X PUT "https://example.com/materials/550e8400-e29b-41d4-a716-446655440000" \  -H "Content-Type: application/json" \  -d '{}'
{  "material": {    "id": "string",    "labId": "string",    "name": "string",    "code": "string",    "valuePerGram": "string",    "description": "string",    "iconKey": "string",    "isActive": true,    "sortOrder": 0,    "createdAt": "string",    "updatedAt": "string"  }}
Empty
Empty
Empty
Empty